Package org.bukkit.plugin

# Class AuthorNagException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.bukkit.plugin.AuthorNagException

All Implemented Interfaces:
  `Serializable`

public class AuthorNagException extends RuntimeException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AuthorNagException(String message)`
Constructs a new AuthorNagException based on the given Exception

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthorNagException

public AuthorNagException(String message)
Constructs a new AuthorNagException based on the given Exception

Parameters:
  `message` - Brief message explaining the cause of the exception

## Method Details

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`